/** protolib.h
*
*   DESCRIPTION:
*   ===========
*
*	Header file for protolib.c.
*
**/

#include <exec/types.h>
#include <exec/nodes.h>
#include <exec/resident.h>
#include <exec/libraries.h>

#include <functions.h>

typedef LONG (*PFL)();		/* pointer to function returning 32-bit int	*/

/* library initialization table, used for AUTOINIT libraries			*/
struct InitTable {
	ULONG	it_DataSize;	/* library data space size					*/
	PFL	*it_FuncTable;	/* table of entry points 					*/
	APTR	it_DataInit;	/* table of data initializers				*/
	PFL	it_InitFunc;	/* initialization function to run			*/
};

struct XPRBase {
	struct	Library mb_Lib;
	ULONG	mb_Cookie;	/* looks good	*/
	ULONG	mb_SegList;
	ULONG 	mb_Flags;
	APTR	mb_ExecBase;	/* pointer to exec base */
	APTR	mb_A4;		/* proper value of A4 for aztec small model */
};


